<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card">
        <div class="card-header">

        </div>
        <div class="card-body">
          <div class="row border mb-3 p-3 lh-33" *ngIf="about && licence">

            <div class="col-2">{{'about.cpu_info' | translate}}</div>
            <div class="col-4">{{about.system_cpu}}</div>


            <div class="col-2">{{'about.licence_info' | translate}}</div>
            <div class="col-4">Activated until ({{licence.licence_expired | date : "dd/MM/yyyy"}})</div>


            <div class="col-lg-2">{{'about.ram_info' | translate}}</div>
            <div class="col-lg-4">{{about.system_ram}}</div>


            <div class="col-lg-2">{{'about.version_info' | translate}}</div>
            <div class="col-lg-4">
              {{about.firmware_version}}
              <!-- tooltip block -->
              <div class="_tooltip ml-2">
                <div class="tooltip__initiator">
                  <!-- element with tooltip hover call -->
                  <button (click)="showCheckForVersion()" class="btn btn-info tooltip__initiator"
                          style="width: auto;vertical-align: baseline">{{'about.check_for_update' | translate}}
                  </button>
                </div>
                <div class="tooltip__item text-center bg-white" *ngIf="checkForVersion">
                  <div (click)="hiddenUpdate()" class="position-absolute" style="top: -10px;right: 0; cursor: pointer;">
                    <span><i class="icon-action-undo"></i></span>
                  </div>
                  {{'about.current_version' | translate}} : {{about.firmware_version}} <br>
                  <div class="spinner" *ngIf="!firmwareNew">
                    <div class="bounce1"></div>
                    <div class="bounce2"></div>
                    <div class="bounce3"></div>
                  </div>
                  <div *ngIf="firmwareNew">
                    {{'about.lastest_version' | translate}} : <span *ngIf="firmwareNew">{{firmwareNew.version}}</span>
                    <div class="progress mt-2 mb-2" *ngIf="isShowloading">
                      <div class="progress-bar" role="progressbar" [style.width.%]="loadingDowload" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">{{loadingDowload}}%</div>
                    </div>
                    <button *ngIf="firmwareNew.is_newversion && !firmwareNew.is_download" (click)="downloadNewVersion()"
                            class="btn btn-secondary" type="button">
                      {{'about.download_lastest_version' | translate}}
                    </button>
                    <button [disabled]="!distableInstallUpdate"  (click)="installFirmware(updateModal)" *ngIf="firmwareNew.is_download" class="btn btn-success" type="button">
                      {{'about.install_update' | translate}}
                    </button>
                  </div>

                </div>
              </div>
              <!-- end tooltip -->
            </div>

          </div>
          <!-- end row -->

          <div class="row d-block">

            <div class="input-group float-left" style="max-width: 300px">
              <input [(ngModel)]="licenceSerial" type="text" class="form-control" placeholder="{{'about.serial' | translate}}">
              <div class="input-group-append">
                <button (click)="updateLicence()" class="btn btn-dark" type="button">
                  {{'about.update' | translate}}
                </button>
              </div>
            </div>
            <div class="float-right">
              <button [routerLink]="['/about/user-manual']" class="btn btn-secondary" type="button">
                {{'about.manual' | translate}}
              </button>
            </div>

          </div>
          <!-- end row -->
        </div>
      </div>
    </div>

  </div>
</div>

<ng-template #updateModal let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-comfirm-save-title">{{'object.about.update_popup.title' | translate}}</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    {{'object.about.update_popup.message' | translate: {email : firmwareNew.version} }}
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-danger" (click)="modal.close('ok')">{{'common.save' | translate}}</button>
    <button type="button" class="btn btn-secondary" (click)="modal.close('Close')">{{'common.close' | translate}}
    </button>
  </div>
</ng-template>
